package com.kingdee.eas.custom.erp;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class synPersonDisableToErpFacadeFactory
{
    private synPersonDisableToErpFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.erp.IsynPersonDisableToErpFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPersonDisableToErpFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("0C5069B4") ,com.kingdee.eas.custom.erp.IsynPersonDisableToErpFacade.class);
    }
    
    public static com.kingdee.eas.custom.erp.IsynPersonDisableToErpFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPersonDisableToErpFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("0C5069B4") ,com.kingdee.eas.custom.erp.IsynPersonDisableToErpFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.erp.IsynPersonDisableToErpFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPersonDisableToErpFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("0C5069B4"));
    }
    public static com.kingdee.eas.custom.erp.IsynPersonDisableToErpFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynPersonDisableToErpFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("0C5069B4"));
    }
}